# AbstractStream Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The AbstractStream prototype object

### Prototype Object Properties

- void connectToSource(MediaSource mediaSource)
- void endOfData()
- void enoughData()
- void needData()
- void reset()
- void seekStream(qint64 seekTo)
- void setStreamSeekable(bool s)
- void setStreamSize(qint64 newSize)
- void writeData(QByteArray data)

### Instance Properties

AbstractStream objects have no special properties beyond those inherited from the AbstractStream prototype object.